import { buildProps as j, definePropType as h } from "../../../utils/vue/props/runtime.mjs";
import { useTooltipTriggerProps as s } from "../../tooltip/src/trigger.mjs";
import { useTooltipContentProps as a } from "../../tooltip/src/content.mjs";
import { iconPropType as n } from "../../../utils/vue/icon.mjs";
import { createCollectionWithScope as v } from "../../collection/src/collection.mjs";
const f = j({
  trigger: s.trigger,
  effect: {
    ...a.effect,
    default: "light"
  },
  type: {
    type: h(String)
  },
  placement: {
    type: h(String),
    default: "bottom"
  },
  popperOptions: {
    type: h(Object),
    default: () => ({})
  },
  id: String,
  size: {
    type: String,
    default: ""
  },
  splitButton: Boolean,
  hideOnClick: {
    type: Boolean,
    default: true
  },
  loop: {
    type: Boolean,
    default: true
  },
  showTimeout: {
    type: Number,
    default: 150
  },
  hideTimeout: {
    type: Number,
    default: 150
  },
  tabindex: {
    type: h([Number, String]),
    default: 0
  },
  maxHeight: {
    type: h([Number, String]),
    default: ""
  },
  popperClass: {
    type: String,
    default: ""
  },
  disabled: {
    type: Boolean,
    default: false
  },
  role: {
    type: String,
    default: "menu"
  },
  buttonProps: {
    type: h(Object)
  },
  teleported: a.teleported
});
j({
  command: {
    type: [Object, String, Number],
    default: () => ({})
  },
  disabled: Boolean,
  divided: Boolean,
  textValue: String,
  icon: {
    type: n
  }
});
j({
  onKeydown: { type: h(Function) }
});
v("Dropdown");
export {
  f as dropdownProps
};
